%define name linkchecker
%define version 1.3.18
%define release 1mdk

Summary: Check HTML documents for broken links
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://linkchecker.sourceforge.net/%name-%version.tar.bz2
Patch0: linkchecker-1.3.11-man-in-share.patch.bz2
Patch1: linkchecker-1.3.6-rc-in-etc.patch.bz2
Patch2: linkchecker-1.3.6-fix-rc-ansi-colors.patch.bz2
Url: http://linkchecker.sourceforge.net/
License: GPL
Group: Networking/WWW
Requires: python
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
 Features:
  o recursive checking
  o multithreaded
  o output can be colored or normal text, HTML, SQL, CSV or a sitemap
    graph in GML or XML
  o HTTP/1.1, FTP, mailto:, nntp:, news:, Gopher, Telnet and local 
    file links are supported
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o give username/password for HTTP and FTP authorization
  o robots.txt exclusion protocol support 
  o i18n support
  o command line interface
  o (Fast)CGI web interface (requires HTTP server)

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

find -type f | xargs perl -pi -e 's|/usr/bin/env python2|/usr/bin/env python|'

%build
python setup.py config #-lcrypto
python setup.py build
make locale PYTHON=python

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=%{buildroot}

install -d %{buildroot}/etc
mv %{buildroot}/usr/share/linkchecker/linkcheckerrc %{buildroot}/etc

# as in debian/rules, why??
rm -rf %{buildroot}%{_libdir}/python*/site-packages/linkcheckssl

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO
%config(noreplace) /etc/*
%{_bindir}/*
%{_libdir}/python*/site-packages/*
%{_mandir}/*/*



%changelog
* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 1.3.18-1mdk
- new release

* Mon Dec 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.11-1mdk
- new release
- remember to kill folks that reuse hard coded versions number everywhere

* Tue Nov  6 2001 Pixel <pixel@mandrakesoft.com> 1.3.6-1mdk
- initial spec

# end of file
